package cn.com.qmth.examcloud.test.pipeline;

import java.io.File;
import java.util.List;
import java.util.Objects;

import org.apache.commons.io.FileUtils;
import org.apache.commons.lang3.RandomUtils;

import com.google.common.collect.Lists;

import cn.com.qmth.examcloud.commons.helpers.KeyValuePair;
import cn.com.qmth.examcloud.commons.helpers.pipeline.NodeExecuter;
import cn.com.qmth.examcloud.commons.helpers.pipeline.TaskContext;

public class FileReaderExecuter implements NodeExecuter<String, String, String, String> {

	@Override
	public List<KeyValuePair<String, String>> execute(String key, String value, TaskContext context)
			throws Exception {

		String path = (String) context.get("path");

		List<String> readLines = FileUtils.readLines(new File(path), "UTF-8");

		List<KeyValuePair<String, String>> list = Lists.newArrayList();
		readLines.forEach(e -> {
			list.add(new KeyValuePair<String, String>(Objects.toString((RandomUtils.nextLong())),
					e));
		});

		return list;
	}

}
